# Michelle Changelog

## 1.2.0, 20210609

### Added
- AMP compatibility (thanks to contribution of @jamesosborne)

### Updated
- A11y Menu script to version 1.1.0
- Improving primary menu attributes
- Removing obsolete `menu-toggle-skip-link` in primary menu
- Moving background image control into "Theme Options" section in customizer
- Styles
- Localization

### Fixed
- Overlaid header top margin on mobile screens
- RTL styles
- Making demo images overridable via child theme
- Elementor page builder inaccessible first row control buttons

### File updates
	changelog.md
	comments.php
	header.php
	readme.txt
	style.css
	assets/js/modal-search.js
	assets/js/navigation-mobile.js
	assets/scss/content.scss
	assets/scss/editor-style-blocks.scss
	assets/scss/global.scss
	includes/Accessibility/Component.php
	includes/Assets/Scripts.php
	includes/Content/Block_Area.php
	includes/Content/Block_Patterns.php
	includes/Content/Block_Styles.php
	includes/Content/Component.php
	includes/Content/Starter.php
	includes/Customize/CSS_Variables.php
	includes/Customize/Options.php
	includes/Customize/Preview.php
	includes/Entry/Component.php
	includes/Entry/Navigation.php
	includes/Header/Component.php
	includes/Menu/Component.php
	includes/Setup/Upgrade.php
	includes/Tool/AMP.php
	languages/*.*
	templates/parts/menu/menu-primary.php
	vendor/a11y-menu/*.*


## 1.1.2, 20210502

### Fixed
- Search form modal button padding when modal is open on large screens

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/global.scss


## 1.1.1, 20210428

### Fixed
- Search form modal button size when modal is open
- Overlaid header position on mobile screens when WordPress admin bar is displayed
- Mobile menu and search form toggle buttons spacing on mobile screens

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/global.scss


## 1.1.0, 20210421

### Updated
- Passing accessibility review and adding `accessibility-ready` tag

### Fixed
- Search button height on mobile screens

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/global.scss


## 1.0.13, 20210419

### Updated
- Moving focus to search field when search modal is open
- Allowing font size lower than 16px in theme options

### Fixed
- Accessibility: aria attribute values for mobile menu and search modal toggle

### File updates
	changelog.md
	readme.txt
	style.css
	assets/js/modal-search.js
	assets/js/navigation-mobile.js
	includes/Assets/Scripts.php
	includes/Customize/Options.php
	includes/Header/Component.php


## 1.0.12, 20210416

### Updated
- Theme options description
- Starter content menu
- Improved accessibility
- Improved site header styles
- Improved site branding styles
- Improved responsive navigation functionality and styles
- Improved search modal functionality and styles
- Localization

### Fixed
- Welcome page demo content links

### File updates
	changelog.md
	readme.txt
	style.css
	assets/js/modal-search.js
	assets/js/navigation-mobile.js
	assets/js/scroll.js
	assets/scss/blocks.scss
	assets/scss/comments.scss
	assets/scss/content.scss
	assets/scss/editor-style-blocks.scss
	assets/scss/global.scss
	includes/Accessibility/Component.php
	includes/Assets/Scripts.php
	includes/Content/Starter.php
	includes/Customize/CSS_Variables.php
	includes/Customize/Options.php
	includes/Customize/Styles.php
	includes/Header/Component.php
	includes/Loop/Component.php
	includes/Loop/Pagination.php
	languages/*.*
	templates/parts/accessibility/menu-skip-links.php
	templates/parts/admin/welcome-demo.php
	templates/parts/component/search-results-count.php
	templates/parts/menu/menu-primary.php


## 1.0.11, 20210405

### Updated
- Welcome page info

### Fixed
- Mobile screens site title and logo display

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/global.scss
	includes/Welcome/Component.php
	languages/*.*
	templates/parts/admin/welcome-accessibility.php
	templates/parts/admin/welcome-header.php
	templates/parts/admin/welcome-promo.php


## 1.0.10, 20210403

### Added
- New block patterns
- New block styles
- Allowing page templates to set custom body classes

### Updated
- Search results page title font size
- Localization

### Fixed
- Outlined button block padding
- Gallery block max width in editor
- Last child fullwidth block covering post meta on single post pages

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/blocks.scss
	assets/scss/content.scss
	assets/scss/editor-style-blocks.scss
	assets/scss/global.scss
	includes/Content/Block_Patterns.php
	includes/Content/Block_Styles.php
	includes/Entry/Page_Template.php
	languages/*.*
	templates/parts/block/pattern-cta-simple.php
	templates/parts/block/pattern-features-steps.php
	templates/parts/block/pattern-food-menu.php
	templates/parts/block/pattern-gallery-variable-with-description.php
	templates/parts/block/pattern-intro-2-columns-text.php
	templates/parts/block/pattern-text-2-columns-wider-heading.php
	templates/parts/block/pattern-text-extra-hierarchy.php
	templates/parts/block/pattern-text-large-lead.php


## 1.0.9, 20210330

### Fixed
- Post meta styles on single post page

### Updated
- Starter content

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/content.scss
	templates/parts/admin/content-starter-excerpt.php
	templates/parts/admin/content-starter-faq.php


## 1.0.8, 20210330

### Fixed
- Quote styles
- Entry meta in featured posts list styles
- Removing `<em>` from testimonial block pattern

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/blocks.scss
	assets/scss/content.scss
	assets/scss/global.scss
	templates/parts/block/pattern-testimonials-single-bg.php


## 1.0.7, 20210330

### Updated
- Quote styles
- Entry meta in posts list styles

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/blocks.scss
	assets/scss/content.scss
	assets/scss/global.scss
	includes/Customize/Options.php


## 1.0.6, 20210330

### Added
- Customize error 404 page content

### Updated
- Optimized fonts loading
- Posts list styles
- Site title styles
- Starter content
- Localization

### File updates
	404.php
	changelog.md
	readme.txt
	style.css
	assets/js/customize-controls.js
	assets/scss/blocks.scss
	assets/scss/content.scss
	assets/scss/editor-style-blocks.scss
	assets/scss/global.scss
	includes/Autoload.php
	includes/Content/Block_Area.php
	includes/Content/Component.php
	includes/Customize/Options.php
	includes/Footer/Component.php
	includes/Header/Body_Class.php
	includes/Tool/Google_Fonts.php
	languages/*.*
	templates/parts/admin/content-starter-about.php
	templates/parts/admin/content-starter-contact.php
	templates/parts/admin/content-starter-faq.php
	templates/parts/admin/content-starter-home.php
	templates/parts/admin/content-starter-services.php
	templates/parts/block/area-404.php
	templates/parts/block/area-footer.php
	templates/parts/content/content-404.php


## 1.0.5, 20210328

### Updated
- Changing default font to Inter and size to 19px
- Screenshot
- Removing TGMPA script and plugin suggestions
- Localization
- Styles
- Improving border color styles
- Starter content
- Block patterns

### File updates
	changelog.md
	readme.txt
	style.css
	assets/scss/blocks.scss
	assets/scss/comments.scss
	assets/scss/content.scss
	assets/scss/editor-style-blocks.scss
	assets/scss/editor-style-classic.scss
	assets/scss/global.scss
	includes/Autoload.php
	includes/Content/Starter.php
	includes/Customize/Options.php
	includes/Customize/RGBA.php
	includes/Plugin/Component.php
	languages/*.*
	templates/parts/block/pattern-gallery-captions.php
	templates/parts/block/pattern-team-2.php


## 1.0.4, 20210327

### Updated
- Theme URL
- Starter content

### File updates
	changelog.md
	readme.txt
	style.css
	includes/Content/Starter.php
	templates/parts/admin/content-starter-about.php
	templates/parts/admin/content-starter-contact.php
	templates/parts/admin/content-starter-excerpt.php
	templates/parts/admin/content-starter-faq.php
	templates/parts/admin/content-starter-home.php
	templates/parts/admin/content-starter-services.php


## 1.0.3, 20210326

### Updated
- Screenshot

### File updates
	changelog.md
	readme.txt
	style.css
	screenshot.jpg


## 1.0.2, 20210325

### Updated
- Removing `accessibility-ready` tag as a11y team is aware of this theme review

### File updates
	changelog.md
	readme.txt
	style.css


## 1.0.1, 20210325

### Updated
- Reintroducing `accessibility-ready` tag so the theme can undergo a11y review
- Starter theme images

### File updates
	changelog.md
	readme.txt
	style.css
	templates/parts/admin/content-starter-about.php
	templates/parts/admin/content-starter-contact.php
	templates/parts/admin/content-starter-faq.php
	templates/parts/admin/content-starter-home.php
	templates/parts/admin/content-starter-services.php

## 1.0.0, 20210322

- Initial release.
