"use strict";
/**
 * @package      A11y Menu
 * @description  A keyboard accessible navigational menu script.
 * @version      1.1.0
 * @author       WebMan Design, Oliver Juhas, https://www.webmandesign.eu
 * @copyright    2019 WebMan Design, Oliver Juhas
 * @license      GPL-3.0-or-later, https://www.gnu.org/licenses/gpl-3.0-standalone.html
 * @link         https://github.com/webmandesign/a11y-menu
 *
 * @global  window, document, a11yMenuConfig
 */
!function(t){var e={init:function(){var t=0<arguments.length&&void 0!==arguments[0]?arguments[0]:{},i=this;i.setOptions(t),i.polyfill(),i.getMenus().length&&i.getOption("expanded_class")&&i.getMenus().forEach(function(t){var e=t.querySelectorAll(i.getOption("child_menu_selector"));if(Object.keys(e).length){var a=i.getButton(i.getOption("button_attributes"));e.forEach(function(t){var e=t.parentNode;if(e.setAttribute("aria-haspopup","true"),null!=a){var n=a.cloneNode(!0);e.insertBefore(n,t),i.changeButtonAttributes(e),n.addEventListener("mousedown",function(t){return i.onClickButton(t)}),n.addEventListener("keyup",function(t){return i.onClickButton(t)})}if(i.isMode("touch")){var o=e.querySelector("a[href]");null!=o&&o.addEventListener("touchstart",function(t){return i.onTouchLink(t)},!0)}}),i.isMode("tab")&&(t.addEventListener("focusin",function(t){return i.onFocus(t)},!0),t.addEventListener("focusout",function(t){return i.onFocus(t)},!0)),i.isMode("esc")&&document.addEventListener("keyup",function(t){return i.onKeyESC(t)})}})},onFocus:function(t){var e=this,n=e.getParents(t);"focusin"===t.type?n.map(function(t){return t.classList.add(e.getOption("expanded_class"))}):n.map(function(t){return t.classList.remove(e.getOption("expanded_class"))}),e.isMode("button")&&(e.changeButtonAttributes(t),n.map(function(t){return e.changeButtonAttributes(t)}))},onClickButton:function(t){if("keyup"===t.type&&-1===[13,32].indexOf(t.keyCode))return!1;var e=this,n=e.getOption("expanded_class"),o=t.target.parentNode,a=o.classList.contains(n);e.getSiblings(o).map(function(t){t.classList.remove(n),e.changeButtonAttributes(t)}),a?o.classList.remove(n):o.classList.add(n),e.changeButtonAttributes(t),e.getParents(o).map(function(t){return e.changeButtonAttributes(t)}),t.preventDefault()},onTouchLink:function(t){var e=this,n=t.target,o=n.parentNode,a=e.getOption("expanded_class");if(o.classList.contains(a))n!==document.activeElement&&(t.preventDefault(),o.classList.remove(a),e.isMode("button")&&e.changeButtonAttributes(t));else{t.preventDefault(),n.focus();var i=e.getSiblings(o),r=e.getParents(t);i.map(function(t){return t.classList.remove(a)}),r.map(function(t){return t.classList.add(a)}),e.isMode("button")&&(e.changeButtonAttributes(t),r.map(function(t){return e.changeButtonAttributes(t)}))}},onKeyESC:function(t){if(27===t.keyCode){var e=this,n=e.getOption("expanded_class");e.getMenus().forEach(function(t){t.querySelectorAll("."+n).forEach(function(t){t.classList.remove(n),e.isMode("button")&&e.changeButtonAttributes(t)})})}},getMenus:function(){var e=this,t=e.getOption("menu_selector");return!e.menus.length&&t&&document.querySelectorAll(t).forEach(function(t){return e.menus.push(t)}),e.menus},getSiblings:function(t){for(var e=1<arguments.length&&void 0!==arguments[1]?arguments[1]:'[aria-haspopup="true"]',n=[],o=t.parentNode.firstChild;o;o=o.nextElementSibling)1===o.nodeType&&o.matches(e)&&t!==o&&n.push(o);return n},getParents:function(t){for(var e=1<arguments.length&&void 0!==arguments[1]?arguments[1]:'[aria-haspopup="true"]',n=this.getMenus(),o=[],a=1===t.nodeType?t:t.target;-1===n.indexOf(a);)o.push(a),a=a.parentNode;return e&&(o=o.filter(function(t){return t.matches(e)})),o},getButton:function(e){e=e||{};var t=Object.keys(e);if(!t.length||!this.isMode("button"))return null;var n=document.createElement("button"),o=["class","tabindex","title"];return n.setAttribute("aria-expanded","false"),t.forEach(function(t){-1===o.indexOf(t)&&0!==t.indexOf("aria-")&&0!==t.indexOf("data-")||n.setAttribute(t.toLowerCase(),e[t])}),null!=e["aria-label"]&&null!=e["aria-label"].expand&&n.setAttribute("aria-label",e["aria-label"].expand),n},changeButtonAttributes:function(t){var e=1===t.nodeType?t:t.target.parentNode,n=void 0,o="";if(null!=e&&(n=e.querySelector("button[aria-expanded]")),null!=n&&1===n.nodeType){var a=e.querySelector("a[data-submenu-label]");null!=a&&(o=a.dataset.submenuLabel);var i=e.classList.contains(this.getOption("expanded_class")),r=this.getOption("button_attributes","aria-label");"string"!=typeof r&&null!=r&&(i&&null!=r.collapse?n.setAttribute("aria-label",r.collapse.replace("%s",o)):i||null==r.expand||n.setAttribute("aria-label",r.expand.replace("%s",o))),n.setAttribute("aria-expanded",i.toString())}},setOptions:function(t){var e={button_attributes:{class:"button-toggle-sub-menu","aria-label":{collapse:"Collapse child menu",expand:"Expand child menu"}},child_menu_selector:".sub-menu",expanded_class:"has-expanded-sub-menu",menu_selector:"nav .menu",mode:["tab","esc","button","touch"]};for(var n in t)e.hasOwnProperty(n)&&(e[n]="expanded_class"===n?t[n].replace(/[^a-zA-Z0-9\-_]/g,""):t[n]);this.options=e,this.menus=[]},getOption:function(){var t=this.options,e=arguments,n=e.length;if(1===n)t=null!=t[e[0]]&&t[e[0]];else for(var o=0;o<n&&!1!==t;o++)t=null!=t[e[o]]&&t[e[o]];return t},isMode:function(t){return-1!==this.getOption("mode").indexOf(t)},polyfill:function(){window.NodeList&&!NodeList.prototype.forEach&&(NodeList.prototype.forEach=Array.prototype.forEach),Element.prototype.matches||(Element.prototype.matches=Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector)}};"loading"===document.readyState?document.addEventListener("DOMContentLoaded",function(){return e.init(t)}):e.init(t)}(window.a11yMenuConfig||{});
